Package org.eclipse.net4j.util.security

## Interface IChallengeResponse

- All Known Implementing Classes:
    `ChallengeNegotiator`, `ChallengeResponseNegotiator`, `ResponseNegotiator`

      public interface IChallengeResponse

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IChallengeResponse.Event` |
    `static class` | `IChallengeResponse.State` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static byte` | `ACKNOWLEDGE_FAILURE` |
    `static byte` | `ACKNOWLEDGE_SUCCESS` |

- - ### Field Detail

    - #### ACKNOWLEDGE_SUCCESS

          static final byte ACKNOWLEDGE_SUCCESS

      See Also:
        Constant Field Values

    - #### ACKNOWLEDGE_FAILURE

          static final byte ACKNOWLEDGE_FAILURE

      See Also:
        Constant Field Values